summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-01-27 12:56:47 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-01-27 12:56:47 +0000
commit4482d99f0743195c71b2b03faa8bfbda5501910b (patch)
tree853f042c5e26ca4bce5b091ccc3128b9a763984a /dev-python
parent9c4ecbcb1ba97e8bfd6dac8c2433fb9fdfee5fe6 (diff)
gentoo auto-resync : 27:01:2024 - 12:56:47
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin268767 -> 268779 bytes
-rw-r--r--dev-python/aiocache/Manifest2
-rw-r--r--dev-python/aiocache/aiocache-0.12.2.ebuild9
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.29.ebuild64
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.29.ebuild68
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.85.0.ebuild65
-rw-r--r--dev-python/coverage/Manifest2
-rw-r--r--dev-python/coverage/coverage-7.4.1.ebuild98
-rw-r--r--dev-python/dask/Manifest2
-rw-r--r--dev-python/dask/dask-2024.1.1.ebuild93
-rw-r--r--dev-python/pygit2/Manifest2
-rw-r--r--dev-python/pygit2/pygit2-1.14.0.ebuild45
-rw-r--r--dev-python/trimesh/Manifest2
-rw-r--r--dev-python/trimesh/trimesh-4.1.0.ebuild68
17 files changed, 523 insertions, 3 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 4c177380941f..df66773f6434 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiocache/Manifest b/dev-python/aiocache/Manifest
index d7646d329637..eb980d41bc75 100644
--- a/dev-python/aiocache/Manifest
+++ b/dev-python/aiocache/Manifest
@@ -1,3 +1,3 @@
DIST aiocache-0.12.2.tar.gz 131851 BLAKE2B a8467ec12321248f7673245c427567d2c8ef345a6a34694618fce0969e186de47097d64c3b94cbf047a281a1ed09889075862d9770f7787daaf9469f245b2493 SHA512 ce57e3fdbd428e8a8a94a45e5196e339d40f4fffa49851c3486b264e6344d72fe39407bd958a97baa7af06433c08a0e9d6a7ae44eff515dfc40012804ac876f2
-EBUILD aiocache-0.12.2.ebuild 1314 BLAKE2B ff265d6eb8f819fef2b17671b7a095c38f648104e5124b91f52f43be4155ce48075ac6ebcd4446f188259c9548f883f3415974f85e1160190cd45323b3b960d6 SHA512 281502145017e073b8b512e88714caf4af004b09fb2b3f6d78073cbc4e3ee5bee3f65d7449d742d0cb850277eef1b99cecbe9333c0ce3702f9407d129a5e9660
+EBUILD aiocache-0.12.2.ebuild 1535 BLAKE2B 420ad7c6b9d7707c8d474f517bd921bf18e55f430411470af67efe4f0308127f4fda7115056497e2b9b9ee91b09c5314abe1fc6a99fb6b8a2623f264315dab45 SHA512 d5665916583c319bc9b3f88af97c0903e8d4687031f4fc4a399d5bcf4484c120bd5636a48443a5e8bcbe6854d0b8b76402b5ed940ee12768a3526e2607a33067
MISC metadata.xml 500 BLAKE2B f74a5803ae517ae0b4ed0a9d20093403c5366dead8cc2f77fe5655ffbb1022e4837aa7020bda5f6df75bced1a84adbbfdd2260310944c4874ef2862f261d7a27 SHA512 4d94698017e3953641cfd3687b2ba1bceffe25e47875aa34da0db5ce73a225aa3f58a72d33534d2e683162bc2cb5b74b2c2705b6a7956a3f76b918b6d1ad8923
diff --git a/dev-python/aiocache/aiocache-0.12.2.ebuild b/dev-python/aiocache/aiocache-0.12.2.ebuild
index dd8c5bb60fe4..be1ff1ba4a4d 100644
--- a/dev-python/aiocache/aiocache-0.12.2.ebuild
+++ b/dev-python/aiocache/aiocache-0.12.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -32,6 +32,10 @@ BDEPEND="
distutils_enable_tests pytest
python_test() {
+ local EPYTEST_DESELECT=(
+ # broken by newer dev-python/redis (?), removed upstream
+ tests/ut/backends/test_redis.py::TestRedisBackend::test_close
+ )
local EPYTEST_IGNORE=(
# benchmarks
tests/performance
@@ -39,7 +43,8 @@ python_test() {
tests/ut/backends/test_memcached.py
)
- epytest -o addopts= -m "not memcached"
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -m "not memcached" -p asyncio -p pytest_mock
}
src_test() {
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f4de9ea58e3f..4fd1c17a6b45 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,6 +5,7 @@ DIST boto3-1.34.25.gh.tar.gz 767540 BLAKE2B 0018e04ce16529de14bca16011f7e4dfc949
DIST boto3-1.34.26.gh.tar.gz 767554 BLAKE2B 1dc099c1d6d1da2e704c574bc8bc70883fb2f8974faa1e8c87154e0c5a892a38a8768b6aef59710cad598a1d11ce0e03d81bb2f0c0c7e9a531b434a9ff22aa15 SHA512 3da5b2d00054c5344ec32ec20fbc1bd74b8be31616102d4b5c03367c4ffae97fc80fbec62562a8d42893df3791524d5f5b490570fe1881ac266fa3849f8ccc9a
DIST boto3-1.34.27.gh.tar.gz 768012 BLAKE2B 4a8edd2470b58b02b684def8a3e1d70950621498e557e7a4f89bfbaf798339eb5e9bb89f3653063d79ebfbf1b04e706fa7209beef8d5e110e6a9f00e022d47d3 SHA512 76eb0e341f368a391be492c9551de77165e43721a54f87493c20d4c5bb89e2318b86e83009d92366014660a41d969165dfa9cb12591b0ac60f6fbb82fff590c0
DIST boto3-1.34.28.gh.tar.gz 768214 BLAKE2B f208190d0321351252bd252f4152df7ecf337cb74e4642b4dc21c9d4d0aa7bb14aae2760b4220df292a1d47108fb23a42d73bc0d0aa28417298561d0f8795690 SHA512 3eeca1cd88a61bb8a7cdf23cd0c0317c3f5c4f915c4379a916a5b3a96263029c9932cb100286d8f5d9cef531a73e80ff66321d2869724cf9669a8fa9bcdec792
+DIST boto3-1.34.29.gh.tar.gz 769654 BLAKE2B 3eec92f78f343c1806eb7ad96a31b07592ffb355aed5bca75b9cf9bc32cc240a1c254cd43e618d7cba442dddab31035f43f319aa674b5fd6ee99e93d76514389 SHA512 1dff0825811b346e1300030770f00dfea9694d3f6c4beccddfb2ff00520503271b617321e124a1d922da8e8fb1d2c2beb08a83f23eb5e5754bf1d519ea994cf3
EBUILD boto3-1.34.14.ebuild 1386 BLAKE2B 8d99a5817d661c2385af4f226e75a26ae16399ccf74ebbc7b172ecc2c70745440de7238e42fea98267fea4c82904f9a0abddfcc234c952b588855295061f16b1 SHA512 7114f33fe34e4091695d425d4497c92586d9bde0314358b992458bfcec365ee5c8c2ca856fdb7447c8429fb841faff0d0f2ec171b1a825b5e678f037d79dbdca
EBUILD boto3-1.34.18.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
EBUILD boto3-1.34.23.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
@@ -12,5 +13,6 @@ EBUILD boto3-1.34.25.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9
EBUILD boto3-1.34.26.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
EBUILD boto3-1.34.27.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
EBUILD boto3-1.34.28.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
+EBUILD boto3-1.34.29.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
EBUILD boto3-9999.ebuild 1588 BLAKE2B bfcf68e1a1dffa36c71f030ad8743b59c9170c34a425a7982ee81d1fb0df1c29fdecefa7b55f373557b735d60ab51d510ca398edd4045def5fffb6d4d4d9d579 SHA512 1bca684f585a51d8b58a594c71974b36b145912550f051d6d4c84ba28bce949ec10c112a6f7bfa8f60fa362d9126d9a830243ab36595754bef02f19e02161bb8
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.29.ebuild b/dev-python/boto3/boto3-1.34.29.ebuild
new file mode 100644
index 000000000000..037a85ad96ee
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.29.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index acec030968ed..19cf75dcdc1b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,6 +5,7 @@ DIST botocore-1.34.25.gh.tar.gz 12652238 BLAKE2B 3509adf5f95387c1bc574dfed6edfbb
DIST botocore-1.34.26.gh.tar.gz 12658700 BLAKE2B 614b76d37259c4a37db4e91cce8a2bb64630bdb1172c081f169d8016ff6e4db221a56d5873594fb1251782b8c3758cf00ea7bb0aeffaedc2c9a163d86c8cd708 SHA512 86707d98ec287d01152eb179747e66f3ba8563e7fc83752d1c9c782296277dbe582ce56049859044dbc270fb4499c2d07de6a55b094597625234071203bf7d4b
DIST botocore-1.34.27.gh.tar.gz 12662876 BLAKE2B 8e9dcdeb03da533960df43c3688c4cdce2604e0eefb36a54ac372e04c7f828354523a9c322ad6fc8b1b7d349bf49417041d6074a34628c64db9d5caa9e90fe29 SHA512 1bae71c8156c4e465b3343ad91675cfcf78cef66ff382a54e56a5b12bf7c4dc2d385860846b97507288dbb9fb5878dc3a52555d872edc411eedc1774e0151871
DIST botocore-1.34.28.gh.tar.gz 12662404 BLAKE2B 31be5eb858f751947852d78d62d5bccb23b72eac03c4a83e27d576c4e1d651d27f78b5779afb9bc72797f6102f3efeb7c1aa78c9889d40ce988364ab4ea2d3c9 SHA512 042e31e106f5f22eeeed9cef1526710a767fbb9f398d39c85520a5767cb37f1bde10d4923cac7fbad6bec796ba4dfba330446309ab613ce53e4ff9b7771fab01
+DIST botocore-1.34.29.gh.tar.gz 12665018 BLAKE2B 928c27ae62a5e2675dc5476af05a4390cbeaf9d5c64cae6a5af0d5348f703417f48431258fc7c4ad316908fd29f6bfeb5a7c76290ea9622172f3d787f40021c7 SHA512 5314900eecf2d31fe08bcb9efbc1a361467fe034129c85f5cb4a678275115292fc5a6a95fbbe3cc06aa0a1387e14dde0f9115a9aa25ba59dba62a02c3b8db43b
EBUILD botocore-1.34.14.ebuild 1517 BLAKE2B d03af69902c7785c2b5b4d74b2783c710f9c40b401e82847ecc2255420b64a4fbb91042dd07c1846c5da01d095f51faff6ecc0ec85c370fa9ad1ade4f6e1e283 SHA512 34e0b3a1dcdb3be35548bb1a6d1b5bd892a75ad9ef8727db516c295299dd65e3956483682ac2c2f869e755611ddae30a8efb62513726d259a386af4e733206da
EBUILD botocore-1.34.18.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
EBUILD botocore-1.34.23.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
@@ -12,5 +13,6 @@ EBUILD botocore-1.34.25.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa7
EBUILD botocore-1.34.26.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
EBUILD botocore-1.34.27.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
EBUILD botocore-1.34.28.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
+EBUILD botocore-1.34.29.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
EBUILD botocore-9999.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.29.ebuild b/dev-python/botocore/botocore-1.34.29.ebuild
new file mode 100644
index 000000000000..dcd34e4e67de
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.29.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 05bda499d7e9..bcea370ef936 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,5 +1,7 @@
DIST cfn-lint-0.83.8.tar.gz 3901954 BLAKE2B 33d728ddf7ae5bcb29fdb8211decd85b72519acd60b80831aafa59d042105af45a3f07e2d6ea9838b80af68f6eb19ba84be562e4a7104c64b68737ede3497b0d SHA512 f520f5e211284197ff3b2c5287cb72384544a273e1fa1d3007e7a3ad85ef1b4bae4ed0c0db609989ea51de29630454d97ba13a8d97ccc06992a7fb0da467e0b7
DIST cfn-lint-0.84.0.tar.gz 3890781 BLAKE2B 160c8f29f2551c0885d784d725e5e7077aaf162b13f8bcbe8f04c2f6dd939bdb22166ebc3fbba6ba71b0ec68356f520ae1968a447a7a24082eb85271c684aa1b SHA512 0e783c6c2fc590ce59526da887a3bdcc2f8c55e6d5d6e11f49df82c72d387a18abbac545b861bf806e829080b7be6da00d948d32769396b6730570ab4bc23f7a
+DIST cfn-lint-0.85.0.tar.gz 3875659 BLAKE2B 64bbd4ba0dc153b78da40588a2d0e9f34feafcf17b7262b84f3c3e0a98ecc6cc7b78152dc829fd2bcb3f3c3fe601fdf217111bd5a11d402a3b70ceda822206f7 SHA512 b7d65fb360e8743f08ec2feb451e6dc6cbda62c0850a954e5beec8d6a2a6bee2be2dddee36f262f571e5e9838deb7237895a3020b951686423315f5914f82d67
EBUILD cfn-lint-0.83.8.ebuild 2065 BLAKE2B 1c74b61135135c68cda92c13305673d9cf690f3ea6882c63fcfe51c0570ed87ce3843670f7c2f085a7a52b34e2b947f931ffdfb1f2ecad6a79fbb575370027cf SHA512 a83f63069afa0ede0760b3c4df18f2e0a045ba5dcbfed2c8486cf19df39eaa431d298e3cce5be92b588ef01dd25f86e5201e41b9d331ba2877b84c790e81727b
EBUILD cfn-lint-0.84.0.ebuild 2068 BLAKE2B c25c0933d27f785f1f98ee0a9040a36e25b369a4e67bcb47bec188bb303a2133755ad081b8fb52a0d86ed3ee59e7a68c8e99cca9b1a76f1d26ece4650be8635a SHA512 dd483335192e786b1d994556b7070d5ae7c8f0e06f3749496c07b763e28c41a3ab310f2a8972c0e39e288878fefca7b98d009a5ef478d77e07a0bb71502229b2
+EBUILD cfn-lint-0.85.0.ebuild 2068 BLAKE2B c25c0933d27f785f1f98ee0a9040a36e25b369a4e67bcb47bec188bb303a2133755ad081b8fb52a0d86ed3ee59e7a68c8e99cca9b1a76f1d26ece4650be8635a SHA512 dd483335192e786b1d994556b7070d5ae7c8f0e06f3749496c07b763e28c41a3ab310f2a8972c0e39e288878fefca7b98d009a5ef478d77e07a0bb71502229b2
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.85.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.85.0.ebuild
new file mode 100644
index 000000000000..237b8f7087d0
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.85.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.83.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index e724f409fb8f..a432578440dd 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,3 +1,5 @@
DIST coverage-7.4.0.tar.gz 776507 BLAKE2B ea96db033e711c5b47ebbd585f1eec8e576908dfbecd7df6e555a5e96cdbadf546e0b2b1a5790fd66be386a068ced5a1544dff79601546fe6a4ac0e9b36a05a2 SHA512 7563ca34ed8d0dd3b9f376b20cbaeb9c952ba0dda57d9f1a33abe94ac17ed6411d0d537f039613c310957eb926e8fa102ad888c5de8bdb3f0233668bdf96d395
+DIST coverage-7.4.1.tar.gz 780560 BLAKE2B bd23208a3fe86a0476b964150ba5bf7db5e26af3844eb16a36c4aaf96a40056486a906f82016f8a5adb05cca8562adcfa11cb44fdef78587aa575b93d24d54eb SHA512 a5e6a40a9b83a9e3ab88c432305a89caa4a7575f17c35385782a59237cc0464d879222afd524879e3e36a09f185fc6249af6198cbc0a10a6c3e83a19de452e79
EBUILD coverage-7.4.0.ebuild 2468 BLAKE2B 484cf7c4502606a2236cdc5ac9d7b00502db53ca82c83c7042931672e6258c2722779ddb3a9147d797202cdd417c2cf181de0ba9e34920b5aa6cbd2def35b15d SHA512 17fef3b5f71d724182e050fca7d7bbdd868346e9ce8d67beaad1657450cc944dd07a665e88def258143dc9c1010f78fb64d0a9927fbe0ec1a98dbbb852166a29
+EBUILD coverage-7.4.1.ebuild 2476 BLAKE2B e931142781ffc76d323da0484dcc3c6c6f23c6658ddc695a04798ec2e6c14e6c2a946fa9efd07b11b7dc4c6a2480c4cd5366fd8a46e0da37aedf1278a2c0a59e SHA512 786206efe2a7e21fe2ed767a1b48e2a3e05d49c94ba8cc83707473384771701ca90c818835b8a773730b11bd6415751868c0ec16f8fce6e7b31311aff930f647
MISC metadata.xml 771 BLAKE2B 38e9680d0851f70050aad987714a9dd2f95178b0bc3d794dc08726c0618d1ea98be32a413ac397f4b222e8a5d8fdc747b7f1677bcfe842bac4080537e85a03a9 SHA512 8c44c40348fe5d416d8b4016fe22cc9ae0b94fbaf181deb79aa737f87271992521b710c1208d0eeb7ef92d96fc8a7daac1ec6feb1ae081a80f13327b5b094064
diff --git a/dev-python/coverage/coverage-7.4.1.ebuild b/dev-python/coverage/coverage-7.4.1.ebuild
new file mode 100644
index 000000000000..d7fb22bbd856
--- /dev/null
+++ b/dev-python/coverage/coverage-7.4.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ epytest -p flaky -p hypothesis -p xdist tests
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: fails because of additional "Terminated" print on SIGTERM
+ tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace
+ fi
+
+ test_tracer pytrace
+
+ case ${EPYTHON} in
+ python3.1[01]|pypy3)
+ ;;
+ *)
+ # available since Python 3.12
+ test_tracer sysmon
+ ;;
+ esac
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index f7577dcd5ecb..f507aa6e5688 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,5 +1,7 @@
DIST dask-2023.12.1.gh.tar.gz 8967874 BLAKE2B f397512fb50a53719fff8e234db0e366b17c9abaca4b98c0b1d4a98287dec7f869612e688cfa2e717fc35c4ed1f7a8d8fe74c7dec939e8f669e6790490005370 SHA512 4a90239e83e7cbd4797ee91dc9609d7322a7003b976ed3309de95b47d20e2e9f449cea803618539c5f80ec552dd2ac71e55c87c024beeabf74062beeb3260292
DIST dask-2024.1.0.gh.tar.gz 8975960 BLAKE2B bcc72c1428d0626eb686551c69b0dcbc7b9615524bbcdbc1bb6d5113929f32d53cc7d0952622d352ef7413057b9f90689471b3540b3748beb6cddd0dbbdef2f6 SHA512 a2a436cba1f84d7223ed049c395807f900bc012d7fb8c8ae18c27b15787885e6a6a02cd17da2cc7f765b26469190217e2c8306495fbfc82e3018e1bcee54d24b
+DIST dask-2024.1.1.gh.tar.gz 9328425 BLAKE2B 6b6208c59e0446816a962a9a3dc6a1754eba589810aacdab0c1ce38edd6d593763d1868578a344babfa74afd390ac1997d2461586b12180679fdc67ae26e0a74 SHA512 a5e424333c5d19f67d73c2b036544ef03122a99c2eb6a52019929f1e7b87297c776cbea713062372cf1685ef3b79d47734d6d0acd2c054ffadcbb3d96fb6deeb
EBUILD dask-2023.12.1.ebuild 2919 BLAKE2B cd51b4e720364d272bb0d2aa517927a77f36b5497bf29eb89f5dd6328515e600016d2ae3360cfe501d30e17b5764fb0bcc5bd52cb7f1c5e134957ebf251f1cfa SHA512 4574641ebc2eb7bbc0a1bc162e7597b0902e9f20ad485a33316d5d0f48f4242a8c55acbb96fcdffac2c55f131663f386b863d3b04ee30d2191dcda47305970e5
EBUILD dask-2024.1.0.ebuild 3148 BLAKE2B eeed606aa323c4c3f787c4d618bffff07502ee92c2613b41d4f856f6485e50ca3f24466cb31a51d2e003fcf95b2ae3e99ec0d3c1f0aff75422c93bcc5c466d8c SHA512 86c6bb7de829f8a34d109cc3c28746506d92a1ed0b8cb33a643395153ed158156517990e33d4dbfad260d520674d380672820b7f4528b4c99dbb9f58875152e6
+EBUILD dask-2024.1.1.ebuild 3148 BLAKE2B eeed606aa323c4c3f787c4d618bffff07502ee92c2613b41d4f856f6485e50ca3f24466cb31a51d2e003fcf95b2ae3e99ec0d3c1f0aff75422c93bcc5c466d8c SHA512 86c6bb7de829f8a34d109cc3c28746506d92a1ed0b8cb33a643395153ed158156517990e33d4dbfad260d520674d380672820b7f4528b4c99dbb9f58875152e6
MISC metadata.xml 724 BLAKE2B 9af7553cec2b66228a21f146372d86b8d620048d68f94c1fd09006c8ee7ddaa4e212c2a359b937a5ee37ac23df01e10af0796e8b4cf952237cb4c73a2dff7ca0 SHA512 89b83402c13b06f7adf10cd1cc08b96b90dbc2ca3b5c0c6c422b6e2394e03fd51346306479557c11fcfdbd4a81a574890f2367228ea38531b5f05c02a30b8dcb
diff --git a/dev-python/dask/dask-2024.1.1.ebuild b/dev-python/dask/dask-2024.1.1.ebuild
new file mode 100644
index 000000000000..fa3cd2adf316
--- /dev/null
+++ b/dev-python/dask/dask-2024.1.1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/click-8.1[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+ >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails with sqlalchemy-2.0, even though we don't use it x_x
+ sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+ sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # more tests relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ dask/array/tests/test_random.py::test_RandomState_only_funcs
+ dask/dataframe/tests/test_dataframe.py::test_view
+ dask/dataframe/tests/test_shuffle.py::test_npartitions_auto_raises_deprecation_warning
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+ dask/array/tests/test_image.py::test_preprocess
+ dask/tests/test_system.py::test_cpu_count_cgroups_v2
+ # require sqlalchemy<2.0
+ dask/dataframe/io/tests/test_sql.py
+ # crashes
+ dask/tests/test_base.py::test_tokenize_object_with_recursion_error
+ # regression with new pandas (?)
+ dask/dataframe/tests/test_multi.py::test_concat5
+ )
+
+ if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # fails if pyarrow is installed without USE=parquet
+ # (optional dep, skipped if it's not installed at all)
+ dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_rerunfailures -m "not network" \
+ -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 3672385e8584..d0bee578b6ef 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1,3 +1,5 @@
DIST pygit2-1.13.3.tar.gz 752098 BLAKE2B 474c7e4cf92ec81c128fec1ff6222aa524a8dbf291c7ad350a1f150536442a518dbcf6c5ed2af2902265bcb04f34effb258c30e983bf52d1a93d477da4fce00c SHA512 def3d7b4df43ef231c488720a47cef91ad1e9a0568745869cec63f8a2ccfa7ad0be4c40b1cab973ef34e493d9451b33071aa64dc7fb8a8013fcdd1c6f6a45ef1
+DIST pygit2-1.14.0.tar.gz 765357 BLAKE2B fd36958cd64808d478e1c3bd6e6fc7714749c2b73cbf59f71c63ce3e37168df7196be143b0d8fbd724a7b090a06572cd0df111eea87becf9186be2ec4165104d SHA512 117858589c7cda9fe3c7d085c3577b5dfe1792335d58420349060ba45722adc59a479091e0c00e95298cdf705af9905236b3f54ccd75f82ca4704d4580e723be
EBUILD pygit2-1.13.3.ebuild 804 BLAKE2B 750002253c04cae4f4402ea9bb5374f45be208110584253b13102b920ecf594066b9a1d078b115d16ef7eb3b6360787d74b20e58c00746f571167de623e9125c SHA512 53c780ed42693a8966a58bef31683d6bacf347b52d462b75628c85ae57390fab57a461555414443adeb8a136a4e80a43db770197fe166fdcf8b5c19fe40c516c
+EBUILD pygit2-1.14.0.ebuild 806 BLAKE2B 12ecc52e93ac2ee4d6b33a4663650ddb5f05b7d0f102d75fd4b79ba37f02d7c2bf112648d60ea0c4abfde59bfc050f3b847bceaabc8104108ab167483c516141 SHA512 ecb7c8974dd7a24036d4f6f7b42209d4ae78eb9f3ec4ee3997eba941f960764548396444854966b6866f03fee0ca071c5d4fcc7e270705c5295368c855c3ec15
MISC metadata.xml 490 BLAKE2B a53da88b5fe40a56d831bb5589d03d247ca1d1d843bde9a1fe6999563a42c076a9f6462b6947ae217086e5edde35a4788f4552636871891f9820534a6f0bade6 SHA512 57cb7356bbb0a22fce2d7ecd8ab346ef5c8155d0941d6a15bf2e98364e755d6e5e5d6aacf24017b4b827b983032e4d46f2363483ac66d6e3882c8be12e60fb39
diff --git a/dev-python/pygit2/pygit2-1.14.0.ebuild b/dev-python/pygit2/pygit2-1.14.0.ebuild
new file mode 100644
index 000000000000..f0d810482556
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.14.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+ https://github.com/libgit2/pygit2/
+ https://pypi.org/project/pygit2/
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+ =dev-libs/libgit2-1.7*:=
+"
+BDEPEND="
+ >=dev-python/cffi-1.16.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditionally prevent it from using network
+ sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+ rm -r pygit2 || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 7b9c828c50f0..f85c409befa3 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,7 +1,9 @@
DIST trimesh-4.0.10.gh.tar.gz 13435507 BLAKE2B 9e60ac72af4020997b606738dba044b23914a50ec07bcb014defcf23b2d5afde279755cc244dccc2e0a482f3b10eab025f9a0ea9f37becb62067a65192c948b1 SHA512 783730dfedbbbb09c829240c11de3ee15a5518454335734cc98b25b289011fb4310e80c6a11d3fe7b83d0661e38d36e98650333a976fed210aa1dc9fa30d857b
DIST trimesh-4.0.8.gh.tar.gz 13434746 BLAKE2B 858ad7daf9cff3bbedef3ea124d6af1be96233b09a2bd9abd0d2cc43b6f981f844300a36dfef751caf1abf721dd0481a189e0d80ddba8a3fcacbe87183c3d26e SHA512 77472e954b9defdf39fac7813aad892f56f02da475801effdac7de28b6e28f6ca5a7c99fa51013e44435a2143f01a5a2be1e8419c1c81c0c02dca237b8e21dd3
DIST trimesh-4.0.9.gh.tar.gz 13435804 BLAKE2B 7e07ad04f7c08b01763ce0d4f50ad7a00fa4888f43abab92bbce495cb0c1dc8815e0c346e326f19c811fbe8d9d2657b45390016f1508e1d994ee529af182b2c1 SHA512 8d6d48a7889693536a54355efac5dc35eb2a8babeb5c93d71127e65935e7750d7330bd9b96b31b37dded7a5fd50151d39b6c38a29e0075374ee29ca975e5ed9d
+DIST trimesh-4.1.0.gh.tar.gz 13437739 BLAKE2B 4a5c54bd17506fa391404f825c2be47e34c3757b6380bb8af43b27b3b1f30f6518dc997f0ce6a20d87c7c8ced4c5f54092a58d6d03f5d73e4fe6cc8bbc62342e SHA512 77729d3b14f90d106fd79d1bddd0261cc1e6aeb3f3af7fcad9c9dacbd8fecea4f996944d5af232f2af46e274b14b657e0ad90700cd194afa9fb2a40dc3763c44
EBUILD trimesh-4.0.10.ebuild 1908 BLAKE2B ff0eeac6c64e34c8818e24f58c2e49e7c8963385ba8527c66bd4ad0c56cab7abc0847a637118e6a18b582ff6107e213196754bde834f08a2d1951e46591fae54 SHA512 3998496eb68016f7b7fb8f0f93a8d18feef378058c8fd7b41d81952a21d2742755c6dd2aaebe57049252eb466025fbb056aa4a3bea09027d69b2b16e5fad0422
EBUILD trimesh-4.0.8.ebuild 1906 BLAKE2B 053042a30f176fa8cb76af34dba9529a3066379cc9bc60d7619b1d89191778d060d1092be0bd4a88be2f74d4a9dac087a16940029dfa5020fc287a5cf2f3b074 SHA512 3a3c291a45aae52a21e943057539d9e1256094696fb1ac01c57f58a067a5076b9e904308433000ffd33a885218ffab4c4886ad6126b0d28596fc9c78ecad3f0d
EBUILD trimesh-4.0.9.ebuild 1908 BLAKE2B ff0eeac6c64e34c8818e24f58c2e49e7c8963385ba8527c66bd4ad0c56cab7abc0847a637118e6a18b582ff6107e213196754bde834f08a2d1951e46591fae54 SHA512 3998496eb68016f7b7fb8f0f93a8d18feef378058c8fd7b41d81952a21d2742755c6dd2aaebe57049252eb466025fbb056aa4a3bea09027d69b2b16e5fad0422
+EBUILD trimesh-4.1.0.ebuild 1908 BLAKE2B ff0eeac6c64e34c8818e24f58c2e49e7c8963385ba8527c66bd4ad0c56cab7abc0847a637118e6a18b582ff6107e213196754bde834f08a2d1951e46591fae54 SHA512 3998496eb68016f7b7fb8f0f93a8d18feef378058c8fd7b41d81952a21d2742755c6dd2aaebe57049252eb466025fbb056aa4a3bea09027d69b2b16e5fad0422
MISC metadata.xml 495 BLAKE2B b8b403f7bfbac53ed234c2ba50324041502a28465d70e9406867f05741e0313845307491fcfd85f05e2993b21daf14117a4b6863b45422fd4c62c6e28902e3ff SHA512 3deec8ab4b513536a7fe182be8f1b96e06fd06b2480d3e516c2b3462cc26fcbdeb1d165b4d0297465e93c0cce584ab40a8f905b81a59dcb4040a39655028783d
diff --git a/dev-python/trimesh/trimesh-4.1.0.ebuild b/dev-python/trimesh/trimesh-4.1.0.ebuild
new file mode 100644
index 000000000000..4a4ed4607e7b
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.1.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox_earcut[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=900
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" dev-python/scikit-image
+}